Leaf
====

A collection of various utilities, objects, and functions for game programming in Lua, specificially with the [Love2D](http://love2d.org) library.  Includes the following:

* **camera.lua**: A camera with tracking and depth
* **color.lua**: Color operations and a handy ColorPalette class
* **console.lua**: An in-game console system
* **containers.lua**: Various container classes (Linked List, Queue, etc)
* **context.lua**: A better method of managing multiple game states in Love2D
* **fs.lua**: File loading utilties for Love2D
* **functional.lua**: Functional programming tools
* **layout.lua**: Immediate-mode pure functions for generating layouts
* **object.lua**: Highly minimal object-oriented implementation for Lua
* **polygon.lua**: 2D generic polygon class
* **rect.lua**: 2D rectangle operations
* **screen.lua**: Functions for managing an abstract game screen in Love2D
* **time.lua**: Timing module for scheduling functions
* **utils.lua**: Generic pure functions that don't fit anywhere else
* **vector.lua**: 2D vector operations
